{-# LANGUAGE CPP, OverloadedStrings #-}

module Begrippen where

import           Hertaling

import           Data.Monoid              ((<>))
import           Data.Text

--------------------------------------------------------------------------------
--- Programmabegrippen ---------------------------------------------------------
--------------------------------------------------------------------------------
begrVersie    = "0.2.0.0"                                :: Tekst
begrPrognaamT = "Boekerĳ"                                 :: Tekst
begrPrognaamS = "Boekerĳ"                                 :: String
begrPrognaamVeiligT = "Boekerij"                          :: Tekst
begrPrognaamVeiligS = "Boekerij"                          :: String
begrDnsNaam   = "eu.nimmerfort.Boekerij"                  :: Tekst

--------------------------------------------------------------------------------
--- Programmabestanden ---------------------------------------------------------
--------------------------------------------------------------------------------
begrMiddelen = PREFIX
begrSqldb    = begrMiddelen <> "db1.sqlite"     :: BestandspadT
begrGMenu    = begrMiddelen <> "gtk/menu.ui"    :: BestandspadT

--------------------------------------------------------------------------------
--- Standaardinstellingen ------------------------------------------------------
--------------------------------------------------------------------------------
begrStedehouder = begrMiddelen <> "afbeeldingen/paper-icons-kaftloos.png" :: BestandspadT
begrKaftratio   = 1.38
begrKafthoogte  = 250                                        :: Int

--------------------------------------------------------------------------------
--- Structuur van Toestellen-ListStore -----------------------------------------
--------------------------------------------------------------------------------
begrKolomToestelNaam   = 0
begrKolomToestelWortel = 1
