module Hertaling
  ( module Hertaling
  , (<>)
  ) where

-----------------------
--- Hertaalde steunwaar
-----------------------
import           Data.Text           (Text)
import           Data.Maybe
import           GI.Gtk              (Image)
import           Data.Monoid         ((<>))


-------------------------
--- Hertalingen van types
-------------------------
type Kaft = Image

type Tekst = Text

type URL = Tekst

type Soms a = Maybe a

type Bestandspad  = FilePath
type BestandspadT = Tekst


----------------------------
--- Hertalingen van functies
----------------------------
geef :: Monad m => a -> m a
geef = return

anders :: Bool
anders = otherwise

niet :: Bool -> Bool
niet = not

ofwel = either

soms = maybe

onbepaald = undefined
